Qwt User's Guide: QwtPointSeriesData Class Reference

Qwt User's Guide 6.0.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes

# QwtPointSeriesData Class Reference

Interface for iterating over an array of points. More...

`#include <qwt_series_data.h>`

Inheritance diagram for QwtPointSeriesData:
[legend]

List of all members.

## Public Member Functions
virtual QRectF | boundingRect () const
| QwtPointSeriesData (const QVector< QPointF > &=QVector< QPointF >())
virtual QPointF | sample (size_t) const
const QVector< QPointF > | samples () const
virtual void | setRectOfInterest (const QRectF &)
void | setSamples (const QVector< QPointF > &)
virtual size_t | size () const
## Protected Attributes
QRectF | d_boundingRect
QVector< QPointF > | d_samples

## Detailed Description

Interface for iterating over an array of points.

## Constructor & Destructor Documentation

QwtPointSeriesData::QwtPointSeriesData | ( | const QVector< QPointF > & | samples = `QVector<QPointF>()` | ) |

Constructor

Parameters:

  samples | Samples

## Member Function Documentation

QRectF QwtPointSeriesData::boundingRect | ( |  | ) | const`[virtual]`

Calculate the bounding rect.

The bounding rectangle is calculated once by iterating over all points and is stored for all following requests.

Returns:
  Bounding rectangle

Implements QwtSeriesData< QPointF >.

virtual QPointF QwtArraySeriesData< QPointF >::sample | ( | size_t | i | ) | const`[virtual, inherited]`

Return a sample

Parameters:

  i | Index

Returns:
  Sample at position i

Implements QwtSeriesData< QPointF >.

virtual size_t QwtArraySeriesData< QPointF >::size | ( |  | ) | const`[virtual, inherited]`

Returns:
  Number of samples

Implements QwtSeriesData< QPointF >.

## Member Data Documentation

QRectF QwtSeriesData< QPointF >::d_boundingRect`[mutable, protected, inherited]`

Can be used to cache a calculated bounding rectangle.

QVector<QPointF > QwtArraySeriesData< QPointF >::d_samples`[protected, inherited]`

Vector of samples.